created: 1777040269054
modified: 1777040269054
description: Mappings for Scout driver for Circutor cvmc4
id: e9c8bd39-5cd7-492c-8305-9ddd9989187a
name: CVMC4_Scout
manufacturer: Circutor
model: cvmc4
deviceResources:
- description: L1_VOLTAGE
  name: V_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 78
    ValueType: INT16
- description: L2_VOLTAGE
  name: V_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 79
    ValueType: INT16
- description: L3_VOLTAGE
  name: V_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 80
    ValueType: INT16
- description: L12_VOLTAGE
  name: V_AB
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 81
    ValueType: INT16
- description: L23_VOLTAGE
  name: V_BC
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 82
    ValueType: INT16
- description: L31_VOLTAGE
  name: V_CA
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 83
    ValueType: INT16
- description: L1_CURRENT
  name: I_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 84
    ValueType: INT16
- description: L2_CURRENT
  name: I_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 85
    ValueType: INT16
- description: L3_CURRENT
  name: I_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 86
    ValueType: INT16
- description: FREQUENCY
  name: FREQ
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: Hz
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 103
    ValueType: INT16
- description: L1_POWER_FACTOR
  name: PF_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 99
    ValueType: INT16
- description: L2_POWER_FACTOR
  name: PF_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 100
    ValueType: INT16
- description: L3_POWER_FACTOR
  name: PF_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 101
    ValueType: INT16
- description: TOTAL_POWER_FACTOR
  name: PF_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 102
    ValueType: INT16
- description: L1_ACTIVE_POWER
  name: P_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 87
    ValueType: INT16
- description: L2_ACTIVE_POWER
  name: P_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 88
    ValueType: INT16
- description: L3_ACTIVE_POWER
  name: P_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 89
    ValueType: INT16
- description: TOTAL_ACTIVE_POWER
  name: P_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 90
    ValueType: INT16
- description: L1_REACTIVE_POWER
  name: Q_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 91
    ValueType: INT16
- description: L2_REACTIVE_POWER
  name: Q_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 92
    ValueType: INT16
- description: L3_REACTIVE_POWER
  name: Q_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 93
    ValueType: INT16
- description: TOTAL_REACTIVE_POWER
  name: Q_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 94
    ValueType: INT16
- description: L1_APPARENT_POWER
  name: S_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 95
    ValueType: INT16
- description: L2_APPARENT_POWER
  name: S_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 96
    ValueType: INT16
- description: L3_APPARENT_POWER
  name: S_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 97
    ValueType: INT16
- description: TOTAL_APPARENT_POWER
  name: S_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 98
    ValueType: INT16
- description: THD_I_L1
  name: THD_I_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: '%'
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 583
    ValueType: INT16
- description: THD_I_L2
  name: THD_I_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: '%'
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 584
    ValueType: INT16
- description: THD_I_L3
  name: THD_I_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: '%'
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 585
    ValueType: INT16
- description: THD_V_L1
  name: THD_V_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: '%'
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 580
    ValueType: INT16
- description: THD_V_L2
  name: THD_V_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: '%'
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 581
    ValueType: INT16
- description: THD_V_L3
  name: THD_V_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: '%'
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 582
    ValueType: INT16
- description: ENERGY_TOTAL_ACTIVE_IMP
  name: P_ENERGY_CON_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 106
    ValueType: INT32
- description: ENERGY_TOTAL_ACTIVE_EXP
  name: P_ENERGY_GEN_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 108
    ValueType: INT32
- description: ENERGY_TOTAL_REACTIVE_Q1
  name: Q_ENERGY_Q1_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 116
    ValueType: INT32
- description: ENERGY_TOTAL_REACTIVE_Q2
  name: Q_ENERGY_Q2_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 118
    ValueType: INT32
- description: ENERGY_TOTAL_REACTIVE_Q3
  name: Q_ENERGY_Q3_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 120
    ValueType: INT32
- description: ENERGY_TOTAL_REACTIVE_Q4
  name: Q_ENERGY_Q4_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 122
    ValueType: INT32
resources:
- name: MeasuresTot
  get:
  - object: PF_TOT
    parameter: PF_TOT
  - object: P_TOT
    parameter: P_TOT
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_TOT
    parameter: S_TOT
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
- name: MeasuresL1
  get:
  - object: V_AN
    parameter: V_AN
  - object: I_AN
    parameter: I_AN
  - object: PF_AN
    parameter: PF_AN
  - object: P_AN
    parameter: P_AN
  - object: Q_AN
    parameter: Q_AN
  - object: S_AN
    parameter: S_AN
  - object: THD_I_AN
    parameter: THD_I_AN
  - object: THD_V_AN
    parameter: THD_V_AN
- name: MeasuresL2
  get:
  - object: V_BN
    parameter: V_BN
  - object: I_BN
    parameter: I_BN
  - object: PF_BN
    parameter: PF_BN
  - object: P_BN
    parameter: P_BN
  - object: Q_BN
    parameter: Q_BN
  - object: S_BN
    parameter: S_BN
  - object: THD_I_BN
    parameter: THD_I_BN
  - object: THD_V_BN
    parameter: THD_V_BN
- name: MeasuresL3
  get:
  - object: V_CN
    parameter: V_CN
  - object: I_CN
    parameter: I_CN
  - object: PF_CN
    parameter: PF_CN
  - object: P_CN
    parameter: P_CN
  - object: Q_CN
    parameter: Q_CN
  - object: S_CN
    parameter: S_CN
  - object: THD_I_CN
    parameter: THD_I_CN
  - object: THD_V_CN
    parameter: THD_V_CN
- name: Measures
  get:
  - object: V_AN
    parameter: V_AN
  - object: V_BN
    parameter: V_BN
  - object: V_CN
    parameter: V_CN
  - object: V_AB
    parameter: V_AB
  - object: V_BC
    parameter: V_BC
  - object: V_CA
    parameter: V_CA
  - object: I_AN
    parameter: I_AN
  - object: I_BN
    parameter: I_BN
  - object: I_CN
    parameter: I_CN
  - object: FREQ
    parameter: FREQ
  - object: PF_AN
    parameter: PF_AN
  - object: PF_BN
    parameter: PF_BN
  - object: PF_CN
    parameter: PF_CN
  - object: PF_TOT
    parameter: PF_TOT
  - object: P_AN
    parameter: P_AN
  - object: P_BN
    parameter: P_BN
  - object: P_CN
    parameter: P_CN
  - object: P_TOT
    parameter: P_TOT
  - object: Q_AN
    parameter: Q_AN
  - object: Q_BN
    parameter: Q_BN
  - object: Q_CN
    parameter: Q_CN
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_AN
    parameter: S_AN
  - object: S_BN
    parameter: S_BN
  - object: S_CN
    parameter: S_CN
  - object: S_TOT
    parameter: S_TOT
  - object: THD_I_AN
    parameter: THD_I_AN
  - object: THD_I_BN
    parameter: THD_I_BN
  - object: THD_I_CN
    parameter: THD_I_CN
  - object: THD_V_AN
    parameter: THD_V_AN
  - object: THD_V_BN
    parameter: THD_V_BN
  - object: THD_V_CN
    parameter: THD_V_CN
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
- name: Energies
  get:
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
